# Module `DESTROYBASETASK`

A DESTROYBASETASK will monitor the destruction of Groups and Units.

This is a BASE class, other classes are derived from this class.

## Global(s)

DESTROYBASETASK |

## Type `DESTROYBASETASK`

DESTROYBASETASK.ClassName |
DESTROYBASETASK.DestroyPercentage |
DESTROYBASETASK.Destroyed |
DESTROYBASETASK:EventDead(Event) | Handle the SEVENTDEAD events to validate the destruction of units for the task monitoring.
DESTROYBASETASK.GoalVerb |
DESTROYBASETASK:New(DestroyGroupType, DestroyUnitType, <, DestroyPercentage, DestroyGroupPrefixes) | Creates a new DESTROYBASETASK.
DESTROYBASETASK.ReportGoalProgress(DestroyGroup, DestroyUnit, self) | Validate task completeness of DESTROYBASETASK.

## Global(s)

#DESTROYBASETASK DESTROYBASETASK

## Type `DESTROYBASETASK`

The DESTROYBASETASK class

### Field(s)

#string DESTROYBASETASK.ClassName

#number DESTROYBASETASK.DestroyPercentage

#number DESTROYBASETASK.Destroyed

DESTROYBASETASK:EventDead(Event)

  Handle the SEVENTDEAD events to validate the destruction of units for the task monitoring.

  ### Parameter

  - `Event#EVENTDATA Event` : structure of MOOSE.

#string DESTROYBASETASK.GoalVerb

DESTROYBASETASK:New(DestroyGroupType, DestroyUnitType, <, DestroyPercentage, DestroyGroupPrefixes)

  Creates a new DESTROYBASETASK.

  ### Parameters

  - `#string DestroyGroupType` : Text describing the group to be destroyed. f.e. "Radar Installations", "Ships", "Vehicles", "Command Centers".

  - `#string DestroyUnitType` : Text describing the unit types to be destroyed. f.e. "SA-6", "Row Boats", "Tanks", "Tents".

  - `#list <` : string> DestroyGroupPrefixes Table of Prefixes of the Groups to be destroyed before task is completed.

  - `#number DestroyPercentage` : defines the %-tage that needs to be destroyed to achieve mission success. eg. If in the Group there are 10 units, then a value of 75 would require 8 units to be destroyed from the Group to complete the TASK.

  - `DestroyGroupPrefixes` :

  ### Return value

  DESTROYBASETASK

DESTROYBASETASK.ReportGoalProgress(DestroyGroup, DestroyUnit, self)

  Validate task completeness of DESTROYBASETASK.

  ### Parameters

  - `DestroyGroup` :

            Group structure describing the group to be evaluated.

  - `DestroyUnit` :

            Unit structure describing the Unit to be evaluated.

  - `self` :

## Type `list`